# DevLGram - Telegram MTProto API Client Library for Python
# Copyright (C) 2017-2019 Dan Tès <https://github.com/delivrance>
#
# This file is part of DevLGram.
#
# DevLGram is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# DevLGram is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with DevLGram.  If not, see <http://www.gnu.org/licenses/>.

layer = 97

objects = {
    0x05162463: "DevLGram.api.types.ResPQ",
    0x83c95aec: "DevLGram.api.types.PQInnerData",
    0xa9f55f95: "DevLGram.api.types.PQInnerDataDc",
    0x3c6a84d4: "DevLGram.api.types.PQInnerDataTemp",
    0x56fddf88: "DevLGram.api.types.PQInnerDataTempDc",
    0x75a3f765: "DevLGram.api.types.BindAuthKeyInner",
    0x79cb045d: "DevLGram.api.types.ServerDHParamsFail",
    0xd0e8075c: "DevLGram.api.types.ServerDHParamsOk",
    0xb5890dba: "DevLGram.api.types.ServerDHInnerData",
    0x6643b654: "DevLGram.api.types.ClientDHInnerData",
    0x3bcbf734: "DevLGram.api.types.DhGenOk",
    0x46dc1fb9: "DevLGram.api.types.DhGenRetry",
    0xa69dae02: "DevLGram.api.types.DhGenFail",
    0xf660e1d4: "DevLGram.api.types.DestroyAuthKeyOk",
    0x0a9f2259: "DevLGram.api.types.DestroyAuthKeyNone",
    0xea109b13: "DevLGram.api.types.DestroyAuthKeyFail",
    0x60469778: "DevLGram.api.functions.ReqPq",
    0xbe7e8ef1: "DevLGram.api.functions.ReqPqMulti",
    0xd712e4be: "DevLGram.api.functions.ReqDHParams",
    0xf5045f1f: "DevLGram.api.functions.SetClientDHParams",
    0xd1435160: "DevLGram.api.functions.DestroyAuthKey",
    0x62d6b459: "DevLGram.api.types.MsgsAck",
    0xa7eff811: "DevLGram.api.types.BadMsgNotification",
    0xedab447b: "DevLGram.api.types.BadServerSalt",
    0xda69fb52: "DevLGram.api.types.MsgsStateReq",
    0x04deb57d: "DevLGram.api.types.MsgsStateInfo",
    0x8cc0d131: "DevLGram.api.types.MsgsAllInfo",
    0x276d3ec6: "DevLGram.api.types.MsgDetailedInfo",
    0x809db6df: "DevLGram.api.types.MsgNewDetailedInfo",
    0x7d861a08: "DevLGram.api.types.MsgResendReq",
    0x8610baeb: "DevLGram.api.types.MsgResendAnsReq",
    0xf35c6d01: "DevLGram.api.types.RpcResult",
    0x2144ca19: "DevLGram.api.types.RpcError",
    0x5e2ad36e: "DevLGram.api.types.RpcAnswerUnknown",
    0xcd78e586: "DevLGram.api.types.RpcAnswerDroppedRunning",
    0xa43ad8b7: "DevLGram.api.types.RpcAnswerDropped",
    0x347773c5: "DevLGram.api.types.Pong",
    0xe22045fc: "DevLGram.api.types.DestroySessionOk",
    0x62d350c9: "DevLGram.api.types.DestroySessionNone",
    0x9ec20908: "DevLGram.api.types.NewSessionCreated",
    0x9299359f: "DevLGram.api.types.HttpWait",
    0xd433ad73: "DevLGram.api.types.IpPort",
    0x37982646: "DevLGram.api.types.IpPortSecret",
    0x4679b65f: "DevLGram.api.types.AccessPointRule",
    0x5a592a6c: "DevLGram.api.types.help.ConfigSimple",
    0x58e4a740: "DevLGram.api.functions.RpcDropAnswer",
    0xb921bd04: "DevLGram.api.functions.GetFutureSalts",
    0x7abe77ec: "DevLGram.api.functions.Ping",
    0xf3427b8c: "DevLGram.api.functions.PingDelayDisconnect",
    0xe7512126: "DevLGram.api.functions.DestroySession",
    0x9a5f6e95: "DevLGram.api.functions.contest.SaveDeveloperInfo",
    0x7f3b18ea: "DevLGram.api.types.InputPeerEmpty",
    0x7da07ec9: "DevLGram.api.types.InputPeerSelf",
    0x179be863: "DevLGram.api.types.InputPeerChat",
    0x7b8e7de6: "DevLGram.api.types.InputPeerUser",
    0x20adaef8: "DevLGram.api.types.InputPeerChannel",
    0xb98886cf: "DevLGram.api.types.InputUserEmpty",
    0xf7c1b13f: "DevLGram.api.types.InputUserSelf",
    0xd8292816: "DevLGram.api.types.InputUser",
    0xf392b7f4: "DevLGram.api.types.InputPhoneContact",
    0xf52ff27f: "DevLGram.api.types.InputFile",
    0xfa4f0bb5: "DevLGram.api.types.InputFileBig",
    0x9664f57f: "DevLGram.api.types.InputMediaEmpty",
    0x1e287d04: "DevLGram.api.types.InputMediaUploadedPhoto",
    0xb3ba0635: "DevLGram.api.types.InputMediaPhoto",
    0xf9c44144: "DevLGram.api.types.InputMediaGeoPoint",
    0xf8ab7dfb: "DevLGram.api.types.InputMediaContact",
    0x5b38c6c1: "DevLGram.api.types.InputMediaUploadedDocument",
    0x23ab23d2: "DevLGram.api.types.InputMediaDocument",
    0xc13d1c11: "DevLGram.api.types.InputMediaVenue",
    0x4843b0fd: "DevLGram.api.types.InputMediaGifExternal",
    0xe5bbfe1a: "DevLGram.api.types.InputMediaPhotoExternal",
    0xfb52dc99: "DevLGram.api.types.InputMediaDocumentExternal",
    0xd33f43f3: "DevLGram.api.types.InputMediaGame",
    0xf4e096c3: "DevLGram.api.types.InputMediaInvoice",
    0xce4e82fd: "DevLGram.api.types.InputMediaGeoLive",
    0x06b3765b: "DevLGram.api.types.InputMediaPoll",
    0x1ca48f57: "DevLGram.api.types.InputChatPhotoEmpty",
    0x927c55b4: "DevLGram.api.types.InputChatUploadedPhoto",
    0x8953ad37: "DevLGram.api.types.InputChatPhoto",
    0xe4c123d6: "DevLGram.api.types.InputGeoPointEmpty",
    0xf3b7acc9: "DevLGram.api.types.InputGeoPoint",
    0x1cd7bf0d: "DevLGram.api.types.InputPhotoEmpty",
    0x3bb3b94a: "DevLGram.api.types.InputPhoto",
    0xdfdaabe1: "DevLGram.api.types.InputFileLocation",
    0xf5235d55: "DevLGram.api.types.InputEncryptedFileLocation",
    0x196683d9: "DevLGram.api.types.InputDocumentFileLocation",
    0xcbc7ee28: "DevLGram.api.types.InputSecureFileLocation",
    0x29be5899: "DevLGram.api.types.InputTakeoutFileLocation",
    0x9db1bc6d: "DevLGram.api.types.PeerUser",
    0xbad0e5bb: "DevLGram.api.types.PeerChat",
    0xbddde532: "DevLGram.api.types.PeerChannel",
    0xaa963b05: "DevLGram.api.types.storage.FileUnknown",
    0x40bc6f52: "DevLGram.api.types.storage.FilePartial",
    0x007efe0e: "DevLGram.api.types.storage.FileJpeg",
    0xcae1aadf: "DevLGram.api.types.storage.FileGif",
    0x0a4f63c0: "DevLGram.api.types.storage.FilePng",
    0xae1e508d: "DevLGram.api.types.storage.FilePdf",
    0x528a0677: "DevLGram.api.types.storage.FileMp3",
    0x4b09ebbc: "DevLGram.api.types.storage.FileMov",
    0xb3cea0e4: "DevLGram.api.types.storage.FileMp4",
    0x1081464c: "DevLGram.api.types.storage.FileWebp",
    0x7c596b46: "DevLGram.api.types.FileLocationUnavailable",
    0x091d11eb: "DevLGram.api.types.FileLocation",
    0x200250ba: "DevLGram.api.types.UserEmpty",
    0x2e13f4c3: "DevLGram.api.types.User",
    0x4f11bae1: "DevLGram.api.types.UserProfilePhotoEmpty",
    0xd559d8c8: "DevLGram.api.types.UserProfilePhoto",
    0x09d05049: "DevLGram.api.types.UserStatusEmpty",
    0xedb93949: "DevLGram.api.types.UserStatusOnline",
    0x008c703f: "DevLGram.api.types.UserStatusOffline",
    0xe26f42f1: "DevLGram.api.types.UserStatusRecently",
    0x07bf09fc: "DevLGram.api.types.UserStatusLastWeek",
    0x77ebc742: "DevLGram.api.types.UserStatusLastMonth",
    0x9ba2d800: "DevLGram.api.types.ChatEmpty",
    0x3bda1bde: "DevLGram.api.types.Chat",
    0x07328bdb: "DevLGram.api.types.ChatForbidden",
    0x4df30834: "DevLGram.api.types.Channel",
    0x289da732: "DevLGram.api.types.ChannelForbidden",
    0x22a235da: "DevLGram.api.types.ChatFull",
    0x1c87a71a: "DevLGram.api.types.ChannelFull",
    0xc8d7493e: "DevLGram.api.types.ChatParticipant",
    0xda13538a: "DevLGram.api.types.ChatParticipantCreator",
    0xe2d6e436: "DevLGram.api.types.ChatParticipantAdmin",
    0xfc900c2b: "DevLGram.api.types.ChatParticipantsForbidden",
    0x3f460fed: "DevLGram.api.types.ChatParticipants",
    0x37c1011c: "DevLGram.api.types.ChatPhotoEmpty",
    0x6153276a: "DevLGram.api.types.ChatPhoto",
    0x83e5de54: "DevLGram.api.types.MessageEmpty",
    0x44f9b43d: "DevLGram.api.types.Message",
    0x9e19a1f6: "DevLGram.api.types.MessageService",
    0x3ded6320: "DevLGram.api.types.MessageMediaEmpty",
    0x695150d7: "DevLGram.api.types.MessageMediaPhoto",
    0x56e0d474: "DevLGram.api.types.MessageMediaGeo",
    0xcbf24940: "DevLGram.api.types.MessageMediaContact",
    0x9f84f49e: "DevLGram.api.types.MessageMediaUnsupported",
    0x9cb070d7: "DevLGram.api.types.MessageMediaDocument",
    0xa32dd600: "DevLGram.api.types.MessageMediaWebPage",
    0x2ec0533f: "DevLGram.api.types.MessageMediaVenue",
    0xfdb19008: "DevLGram.api.types.MessageMediaGame",
    0x84551347: "DevLGram.api.types.MessageMediaInvoice",
    0x7c3c2609: "DevLGram.api.types.MessageMediaGeoLive",
    0x4bd6e798: "DevLGram.api.types.MessageMediaPoll",
    0xb6aef7b0: "DevLGram.api.types.MessageActionEmpty",
    0xa6638b9a: "DevLGram.api.types.MessageActionChatCreate",
    0xb5a1ce5a: "DevLGram.api.types.MessageActionChatEditTitle",
    0x7fcb13a8: "DevLGram.api.types.MessageActionChatEditPhoto",
    0x95e3fbef: "DevLGram.api.types.MessageActionChatDeletePhoto",
    0x488a7337: "DevLGram.api.types.MessageActionChatAddUser",
    0xb2ae9b0c: "DevLGram.api.types.MessageActionChatDeleteUser",
    0xf89cf5e8: "DevLGram.api.types.MessageActionChatJoinedByLink",
    0x95d2ac92: "DevLGram.api.types.MessageActionChannelCreate",
    0x51bdb021: "DevLGram.api.types.MessageActionChatMigrateTo",
    0xb055eaee: "DevLGram.api.types.MessageActionChannelMigrateFrom",
    0x94bd38ed: "DevLGram.api.types.MessageActionPinMessage",
    0x9fbab604: "DevLGram.api.types.MessageActionHistoryClear",
    0x92a72876: "DevLGram.api.types.MessageActionGameScore",
    0x8f31b327: "DevLGram.api.types.MessageActionPaymentSentMe",
    0x40699cd0: "DevLGram.api.types.MessageActionPaymentSent",
    0x80e11a7f: "DevLGram.api.types.MessageActionPhoneCall",
    0x4792929b: "DevLGram.api.types.MessageActionScreenshotTaken",
    0xfae69f56: "DevLGram.api.types.MessageActionCustomAction",
    0xabe9affe: "DevLGram.api.types.MessageActionBotAllowed",
    0x1b287353: "DevLGram.api.types.MessageActionSecureValuesSentMe",
    0xd95c6154: "DevLGram.api.types.MessageActionSecureValuesSent",
    0xf3f25f76: "DevLGram.api.types.MessageActionContactSignUp",
    0xe4def5db: "DevLGram.api.types.Dialog",
    0x2331b22d: "DevLGram.api.types.PhotoEmpty",
    0x9c477dd8: "DevLGram.api.types.Photo",
    0x0e17e23c: "DevLGram.api.types.PhotoSizeEmpty",
    0x77bfb61b: "DevLGram.api.types.PhotoSize",
    0xe9a734fa: "DevLGram.api.types.PhotoCachedSize",
    0xe0b0bc2e: "DevLGram.api.types.PhotoStrippedSize",
    0x1117dd5f: "DevLGram.api.types.GeoPointEmpty",
    0x0296f104: "DevLGram.api.types.GeoPoint",
    0x811ea28e: "DevLGram.api.types.auth.CheckedPhone",
    0x38faab5f: "DevLGram.api.types.auth.SentCode",
    0xcd050916: "DevLGram.api.types.auth.Authorization",
    0xdf969c2d: "DevLGram.api.types.auth.ExportedAuthorization",
    0xb8bc5b0c: "DevLGram.api.types.InputNotifyPeer",
    0x193b4417: "DevLGram.api.types.InputNotifyUsers",
    0x4a95e84e: "DevLGram.api.types.InputNotifyChats",
    0xb1db7c7e: "DevLGram.api.types.InputNotifyBroadcasts",
    0x9c3d198e: "DevLGram.api.types.InputPeerNotifySettings",
    0xaf509d20: "DevLGram.api.types.PeerNotifySettings",
    0x818426cd: "DevLGram.api.types.PeerSettings",
    0xa437c3ed: "DevLGram.api.types.WallPaper",
    0x58dbcab8: "DevLGram.api.types.InputReportReasonSpam",
    0x1e22c78d: "DevLGram.api.types.InputReportReasonViolence",
    0x2e59d922: "DevLGram.api.types.InputReportReasonPornography",
    0xadf44ee3: "DevLGram.api.types.InputReportReasonChildAbuse",
    0xe1746d0a: "DevLGram.api.types.InputReportReasonOther",
    0x9b89f93a: "DevLGram.api.types.InputReportReasonCopyright",
    0x8ea4a881: "DevLGram.api.types.UserFull",
    0xf911c994: "DevLGram.api.types.Contact",
    0xd0028438: "DevLGram.api.types.ImportedContact",
    0x561bc879: "DevLGram.api.types.ContactBlocked",
    0xd3680c61: "DevLGram.api.types.ContactStatus",
    0x3ace484c: "DevLGram.api.types.contacts.Link",
    0xb74ba9d2: "DevLGram.api.types.contacts.ContactsNotModified",
    0xeae87e42: "DevLGram.api.types.contacts.Contacts",
    0x77d01c3b: "DevLGram.api.types.contacts.ImportedContacts",
    0x1c138d15: "DevLGram.api.types.contacts.Blocked",
    0x900802a1: "DevLGram.api.types.contacts.BlockedSlice",
    0x15ba6c40: "DevLGram.api.types.messages.Dialogs",
    0x71e094f3: "DevLGram.api.types.messages.DialogsSlice",
    0xf0e3e596: "DevLGram.api.types.messages.DialogsNotModified",
    0x8c718e87: "DevLGram.api.types.messages.Messages",
    0xa6c47aaa: "DevLGram.api.types.messages.MessagesSlice",
    0x99262e37: "DevLGram.api.types.messages.ChannelMessages",
    0x74535f21: "DevLGram.api.types.messages.MessagesNotModified",
    0x64ff9fd5: "DevLGram.api.types.messages.Chats",
    0x9cd81144: "DevLGram.api.types.messages.ChatsSlice",
    0xe5d7d19c: "DevLGram.api.types.messages.ChatFull",
    0xb45c69d1: "DevLGram.api.types.messages.AffectedHistory",
    0x57e2f66c: "DevLGram.api.types.InputMessagesFilterEmpty",
    0x9609a51c: "DevLGram.api.types.InputMessagesFilterPhotos",
    0x9fc00e65: "DevLGram.api.types.InputMessagesFilterVideo",
    0x56e9f0e4: "DevLGram.api.types.InputMessagesFilterPhotoVideo",
    0x9eddf188: "DevLGram.api.types.InputMessagesFilterDocument",
    0x7ef0dd87: "DevLGram.api.types.InputMessagesFilterUrl",
    0xffc86587: "DevLGram.api.types.InputMessagesFilterGif",
    0x50f5c392: "DevLGram.api.types.InputMessagesFilterVoice",
    0x3751b49e: "DevLGram.api.types.InputMessagesFilterMusic",
    0x3a20ecb8: "DevLGram.api.types.InputMessagesFilterChatPhotos",
    0x80c99768: "DevLGram.api.types.InputMessagesFilterPhoneCalls",
    0x7a7c17a4: "DevLGram.api.types.InputMessagesFilterRoundVoice",
    0xb549da53: "DevLGram.api.types.InputMessagesFilterRoundVideo",
    0xc1f8e69a: "DevLGram.api.types.InputMessagesFilterMyMentions",
    0xe7026d0d: "DevLGram.api.types.InputMessagesFilterGeo",
    0xe062db83: "DevLGram.api.types.InputMessagesFilterContacts",
    0x1f2b0afd: "DevLGram.api.types.UpdateNewMessage",
    0x4e90bfd6: "DevLGram.api.types.UpdateMessageID",
    0xa20db0e5: "DevLGram.api.types.UpdateDeleteMessages",
    0x5c486927: "DevLGram.api.types.UpdateUserTyping",
    0x9a65ea1f: "DevLGram.api.types.UpdateChatUserTyping",
    0x07761198: "DevLGram.api.types.UpdateChatParticipants",
    0x1bfbd823: "DevLGram.api.types.UpdateUserStatus",
    0xa7332b73: "DevLGram.api.types.UpdateUserName",
    0x95313b0c: "DevLGram.api.types.UpdateUserPhoto",
    0x9d2e67c5: "DevLGram.api.types.UpdateContactLink",
    0x12bcbd9a: "DevLGram.api.types.UpdateNewEncryptedMessage",
    0x1710f156: "DevLGram.api.types.UpdateEncryptedChatTyping",
    0xb4a2e88d: "DevLGram.api.types.UpdateEncryption",
    0x38fe25b7: "DevLGram.api.types.UpdateEncryptedMessagesRead",
    0xea4b0e5c: "DevLGram.api.types.UpdateChatParticipantAdd",
    0x6e5f8c22: "DevLGram.api.types.UpdateChatParticipantDelete",
    0x8e5e9873: "DevLGram.api.types.UpdateDcOptions",
    0x80ece81a: "DevLGram.api.types.UpdateUserBlocked",
    0xbec268ef: "DevLGram.api.types.UpdateNotifySettings",
    0xebe46819: "DevLGram.api.types.UpdateServiceNotification",
    0xee3b272a: "DevLGram.api.types.UpdatePrivacy",
    0x12b9417b: "DevLGram.api.types.UpdateUserPhone",
    0x9961fd5c: "DevLGram.api.types.UpdateReadHistoryInbox",
    0x2f2f21bf: "DevLGram.api.types.UpdateReadHistoryOutbox",
    0x7f891213: "DevLGram.api.types.UpdateWebPage",
    0x68c13933: "DevLGram.api.types.UpdateReadMessagesContents",
    0xeb0467fb: "DevLGram.api.types.UpdateChannelTooLong",
    0xb6d45656: "DevLGram.api.types.UpdateChannel",
    0x62ba04d9: "DevLGram.api.types.UpdateNewChannelMessage",
    0x4214f37f: "DevLGram.api.types.UpdateReadChannelInbox",
    0xc37521c9: "DevLGram.api.types.UpdateDeleteChannelMessages",
    0x98a12b4b: "DevLGram.api.types.UpdateChannelMessageViews",
    0xb6901959: "DevLGram.api.types.UpdateChatParticipantAdmin",
    0x688a30aa: "DevLGram.api.types.UpdateNewStickerSet",
    0x0bb2d201: "DevLGram.api.types.UpdateStickerSetsOrder",
    0x43ae3dec: "DevLGram.api.types.UpdateStickerSets",
    0x9375341e: "DevLGram.api.types.UpdateSavedGifs",
    0x54826690: "DevLGram.api.types.UpdateBotInlineQuery",
    0x0e48f964: "DevLGram.api.types.UpdateBotInlineSend",
    0x1b3f4df7: "DevLGram.api.types.UpdateEditChannelMessage",
    0x98592475: "DevLGram.api.types.UpdateChannelPinnedMessage",
    0xe73547e1: "DevLGram.api.types.UpdateBotCallbackQuery",
    0xe40370a3: "DevLGram.api.types.UpdateEditMessage",
    0xf9d27a5a: "DevLGram.api.types.UpdateInlineBotCallbackQuery",
    0x25d6c9c7: "DevLGram.api.types.UpdateReadChannelOutbox",
    0xee2bb969: "DevLGram.api.types.UpdateDraftMessage",
    0x571d2742: "DevLGram.api.types.UpdateReadFeaturedStickers",
    0x9a422c20: "DevLGram.api.types.UpdateRecentStickers",
    0xa229dd06: "DevLGram.api.types.UpdateConfig",
    0x3354678f: "DevLGram.api.types.UpdatePtsChanged",
    0x40771900: "DevLGram.api.types.UpdateChannelWebPage",
    0x19d27f3c: "DevLGram.api.types.UpdateDialogPinned",
    0xea4cb65b: "DevLGram.api.types.UpdatePinnedDialogs",
    0x8317c0c3: "DevLGram.api.types.UpdateBotWebhookJSON",
    0x9b9240a6: "DevLGram.api.types.UpdateBotWebhookJSONQuery",
    0xe0cdc940: "DevLGram.api.types.UpdateBotShippingQuery",
    0x5d2f3aa9: "DevLGram.api.types.UpdateBotPrecheckoutQuery",
    0xab0f6b1e: "DevLGram.api.types.UpdatePhoneCall",
    0x46560264: "DevLGram.api.types.UpdateLangPackTooLong",
    0x56022f4d: "DevLGram.api.types.UpdateLangPack",
    0xe511996d: "DevLGram.api.types.UpdateFavedStickers",
    0x89893b45: "DevLGram.api.types.UpdateChannelReadMessagesContents",
    0x7084a7be: "DevLGram.api.types.UpdateContactsReset",
    0x70db6837: "DevLGram.api.types.UpdateChannelAvailableMessages",
    0xe16459c3: "DevLGram.api.types.UpdateDialogUnreadMark",
    0x4c43da18: "DevLGram.api.types.UpdateUserPinnedMessage",
    0xe10db349: "DevLGram.api.types.UpdateChatPinnedMessage",
    0xaca1657b: "DevLGram.api.types.UpdateMessagePoll",
    0x54c01850: "DevLGram.api.types.UpdateChatDefaultBannedRights",
    0xa56c2a3e: "DevLGram.api.types.updates.State",
    0x5d75a138: "DevLGram.api.types.updates.DifferenceEmpty",
    0x00f49ca0: "DevLGram.api.types.updates.Difference",
    0xa8fb1981: "DevLGram.api.types.updates.DifferenceSlice",
    0x4afe8f6d: "DevLGram.api.types.updates.DifferenceTooLong",
    0xe317af7e: "DevLGram.api.types.UpdatesTooLong",
    0x914fbf11: "DevLGram.api.types.UpdateShortMessage",
    0x16812688: "DevLGram.api.types.UpdateShortChatMessage",
    0x78d4dec1: "DevLGram.api.types.UpdateShort",
    0x725b04c3: "DevLGram.api.types.UpdatesCombined",
    0x74ae4240: "DevLGram.api.types.Update",
    0x11f1331c: "DevLGram.api.types.UpdateShortSentMessage",
    0x8dca6aa5: "DevLGram.api.types.photos.Photos",
    0x15051f54: "DevLGram.api.types.photos.PhotosSlice",
    0x20212ca8: "DevLGram.api.types.photos.Photo",
    0x096a18d5: "DevLGram.api.types.upload.File",
    0xf18cda44: "DevLGram.api.types.upload.FileCdnRedirect",
    0x18b7a10d: "DevLGram.api.types.DcOption",
    0xe6ca25f6: "DevLGram.api.types.Config",
    0x8e1a1775: "DevLGram.api.types.NearestDc",
    0x1da7158f: "DevLGram.api.types.help.AppUpdate",
    0xc45a6536: "DevLGram.api.types.help.NoAppUpdate",
    0x18cb9f78: "DevLGram.api.types.help.InviteText",
    0xab7ec0a0: "DevLGram.api.types.EncryptedChatEmpty",
    0x3bf703dc: "DevLGram.api.types.EncryptedChatWaiting",
    0xc878527e: "DevLGram.api.types.EncryptedChatRequested",
    0xfa56ce36: "DevLGram.api.types.EncryptedChat",
    0x13d6dd27: "DevLGram.api.types.EncryptedChatDiscarded",
    0xf141b5e1: "DevLGram.api.types.InputEncryptedChat",
    0xc21f497e: "DevLGram.api.types.EncryptedFileEmpty",
    0x4a70994c: "DevLGram.api.types.EncryptedFile",
    0x1837c364: "DevLGram.api.types.InputEncryptedFileEmpty",
    0x64bd0306: "DevLGram.api.types.InputEncryptedFileUploaded",
    0x5a17b5e5: "DevLGram.api.types.InputEncryptedFile",
    0x2dc173c8: "DevLGram.api.types.InputEncryptedFileBigUploaded",
    0xed18c118: "DevLGram.api.types.EncryptedMessage",
    0x23734b06: "DevLGram.api.types.EncryptedMessageService",
    0xc0e24635: "DevLGram.api.types.messages.DhConfigNotModified",
    0x2c221edd: "DevLGram.api.types.messages.DhConfig",
    0x560f8935: "DevLGram.api.types.messages.SentEncryptedMessage",
    0x9493ff32: "DevLGram.api.types.messages.SentEncryptedFile",
    0x72f0eaae: "DevLGram.api.types.InputDocumentEmpty",
    0x1abfb575: "DevLGram.api.types.InputDocument",
    0x36f8c871: "DevLGram.api.types.DocumentEmpty",
    0x9ba29cc1: "DevLGram.api.types.Document",
    0x17c6b5f6: "DevLGram.api.types.help.Support",
    0x9fd40bd8: "DevLGram.api.types.NotifyPeer",
    0xb4c83b4c: "DevLGram.api.types.NotifyUsers",
    0xc007cec3: "DevLGram.api.types.NotifyChats",
    0xd612e8ef: "DevLGram.api.types.NotifyBroadcasts",
    0x16bf744e: "DevLGram.api.types.SendMessageTypingAction",
    0xfd5ec8f5: "DevLGram.api.types.SendMessageCancelAction",
    0xa187d66f: "DevLGram.api.types.SendMessageRecordVideoAction",
    0xe9763aec: "DevLGram.api.types.SendMessageUploadVideoAction",
    0xd52f73f7: "DevLGram.api.types.SendMessageRecordAudioAction",
    0xf351d7ab: "DevLGram.api.types.SendMessageUploadAudioAction",
    0xd1d34a26: "DevLGram.api.types.SendMessageUploadPhotoAction",
    0xaa0cd9e4: "DevLGram.api.types.SendMessageUploadDocumentAction",
    0x176f8ba1: "DevLGram.api.types.SendMessageGeoLocationAction",
    0x628cbc6f: "DevLGram.api.types.SendMessageChooseContactAction",
    0xdd6a8f48: "DevLGram.api.types.SendMessageGamePlayAction",
    0x88f27fbc: "DevLGram.api.types.SendMessageRecordRoundAction",
    0x243e1c66: "DevLGram.api.types.SendMessageUploadRoundAction",
    0xb3134d9d: "DevLGram.api.types.contacts.Found",
    0x4f96cb18: "DevLGram.api.types.InputPrivacyKeyStatusTimestamp",
    0xbdfb0426: "DevLGram.api.types.InputPrivacyKeyChatInvite",
    0xfabadc5f: "DevLGram.api.types.InputPrivacyKeyPhoneCall",
    0xdb9e70d2: "DevLGram.api.types.InputPrivacyKeyPhoneP2P",
    0xa4dd4c08: "DevLGram.api.types.InputPrivacyKeyForwards",
    0x5719bacc: "DevLGram.api.types.InputPrivacyKeyProfilePhoto",
    0xbc2eab30: "DevLGram.api.types.PrivacyKeyStatusTimestamp",
    0x500e6dfa: "DevLGram.api.types.PrivacyKeyChatInvite",
    0x3d662b7b: "DevLGram.api.types.PrivacyKeyPhoneCall",
    0x39491cc8: "DevLGram.api.types.PrivacyKeyPhoneP2P",
    0x69ec56a3: "DevLGram.api.types.PrivacyKeyForwards",
    0x96151fed: "DevLGram.api.types.PrivacyKeyProfilePhoto",
    0x0d09e07b: "DevLGram.api.types.InputPrivacyValueAllowContacts",
    0x184b35ce: "DevLGram.api.types.InputPrivacyValueAllowAll",
    0x131cc67f: "DevLGram.api.types.InputPrivacyValueAllowUsers",
    0x0ba52007: "DevLGram.api.types.InputPrivacyValueDisallowContacts",
    0xd66b66c9: "DevLGram.api.types.InputPrivacyValueDisallowAll",
    0x90110467: "DevLGram.api.types.InputPrivacyValueDisallowUsers",
    0xfffe1bac: "DevLGram.api.types.PrivacyValueAllowContacts",
    0x65427b82: "DevLGram.api.types.PrivacyValueAllowAll",
    0x4d5bbe0c: "DevLGram.api.types.PrivacyValueAllowUsers",
    0xf888fa1a: "DevLGram.api.types.PrivacyValueDisallowContacts",
    0x8b73e763: "DevLGram.api.types.PrivacyValueDisallowAll",
    0x0c7f49b7: "DevLGram.api.types.PrivacyValueDisallowUsers",
    0x554abb6f: "DevLGram.api.types.account.PrivacyRules",
    0xb8d0afdf: "DevLGram.api.types.AccountDaysTTL",
    0x6c37c15c: "DevLGram.api.types.DocumentAttributeImageSize",
    0x11b58939: "DevLGram.api.types.DocumentAttributeAnimated",
    0x6319d612: "DevLGram.api.types.DocumentAttributeSticker",
    0x0ef02ce6: "DevLGram.api.types.DocumentAttributeVideo",
    0x9852f9c6: "DevLGram.api.types.DocumentAttributeAudio",
    0x15590068: "DevLGram.api.types.DocumentAttributeFilename",
    0x9801d2f7: "DevLGram.api.types.DocumentAttributeHasStickers",
    0xf1749a22: "DevLGram.api.types.messages.StickersNotModified",
    0xe4599bbd: "DevLGram.api.types.messages.Stickers",
    0x12b299d4: "DevLGram.api.types.StickerPack",
    0xe86602c3: "DevLGram.api.types.messages.AllStickersNotModified",
    0xedfd405f: "DevLGram.api.types.messages.AllStickers",
    0x84d19185: "DevLGram.api.types.messages.AffectedMessages",
    0x5f4f9247: "DevLGram.api.types.ContactLinkUnknown",
    0xfeedd3ad: "DevLGram.api.types.ContactLinkNone",
    0x268f3f59: "DevLGram.api.types.ContactLinkHasPhone",
    0xd502c2d0: "DevLGram.api.types.ContactLinkContact",
    0xeb1477e8: "DevLGram.api.types.WebPageEmpty",
    0xc586da1c: "DevLGram.api.types.WebPagePending",
    0x5f07b4bc: "DevLGram.api.types.WebPage",
    0x85849473: "DevLGram.api.types.WebPageNotModified",
    0xad01d61d: "DevLGram.api.types.Authorization",
    0x1250abde: "DevLGram.api.types.account.Authorizations",
    0xad2641f8: "DevLGram.api.types.account.Password",
    0x9a5c33e5: "DevLGram.api.types.account.PasswordSettings",
    0xc23727c9: "DevLGram.api.types.account.PasswordInputSettings",
    0x137948a5: "DevLGram.api.types.auth.PasswordRecovery",
    0xa384b779: "DevLGram.api.types.ReceivedNotifyMessage",
    0x69df3769: "DevLGram.api.types.ChatInviteEmpty",
    0xfc2e05bc: "DevLGram.api.types.ChatInviteExported",
    0x5a686d7c: "DevLGram.api.types.ChatInviteAlready",
    0xdb74f558: "DevLGram.api.types.ChatInvite",
    0xffb62b95: "DevLGram.api.types.InputStickerSetEmpty",
    0x9de7a269: "DevLGram.api.types.InputStickerSetID",
    0x861cc8a0: "DevLGram.api.types.InputStickerSetShortName",
    0x6a90bcb7: "DevLGram.api.types.StickerSet",
    0xb60a24a6: "DevLGram.api.types.messages.StickerSet",
    0xc27ac8c7: "DevLGram.api.types.BotCommand",
    0x98e81d3a: "DevLGram.api.types.BotInfo",
    0xa2fa4880: "DevLGram.api.types.KeyboardButton",
    0x258aff05: "DevLGram.api.types.KeyboardButtonUrl",
    0x683a5e46: "DevLGram.api.types.KeyboardButtonCallback",
    0xb16a6c29: "DevLGram.api.types.KeyboardButtonRequestPhone",
    0xfc796b3f: "DevLGram.api.types.KeyboardButtonRequestGeoLocation",
    0x0568a748: "DevLGram.api.types.KeyboardButtonSwitchInline",
    0x50f41ccf: "DevLGram.api.types.KeyboardButtonGame",
    0xafd93fbb: "DevLGram.api.types.KeyboardButtonBuy",
    0x77608b83: "DevLGram.api.types.KeyboardButtonRow",
    0xa03e5b85: "DevLGram.api.types.ReplyKeyboardHide",
    0xf4108aa0: "DevLGram.api.types.ReplyKeyboardForceReply",
    0x3502758c: "DevLGram.api.types.ReplyKeyboardMarkup",
    0x48a30254: "DevLGram.api.types.ReplyInlineMarkup",
    0xbb92ba95: "DevLGram.api.types.MessageEntityUnknown",
    0xfa04579d: "DevLGram.api.types.MessageEntityMention",
    0x6f635b0d: "DevLGram.api.types.MessageEntityHashtag",
    0x6cef8ac7: "DevLGram.api.types.MessageEntityBotCommand",
    0x6ed02538: "DevLGram.api.types.MessageEntityUrl",
    0x64e475c2: "DevLGram.api.types.MessageEntityEmail",
    0xbd610bc9: "DevLGram.api.types.MessageEntityBold",
    0x826f8b60: "DevLGram.api.types.MessageEntityItalic",
    0x28a20571: "DevLGram.api.types.MessageEntityCode",
    0x73924be0: "DevLGram.api.types.MessageEntityPre",
    0x76a6d327: "DevLGram.api.types.MessageEntityTextUrl",
    0x352dca58: "DevLGram.api.types.MessageEntityMentionName",
    0x208e68c9: "DevLGram.api.types.InputMessageEntityMentionName",
    0x9b69e34b: "DevLGram.api.types.MessageEntityPhone",
    0x4c4e743f: "DevLGram.api.types.MessageEntityCashtag",
    0xee8c1e86: "DevLGram.api.types.InputChannelEmpty",
    0xafeb712e: "DevLGram.api.types.InputChannel",
    0x7f077ad9: "DevLGram.api.types.contacts.ResolvedPeer",
    0x0ae30253: "DevLGram.api.types.MessageRange",
    0x3e11affb: "DevLGram.api.types.updates.ChannelDifferenceEmpty",
    0x6a9d7b35: "DevLGram.api.types.updates.ChannelDifferenceTooLong",
    0x2064674e: "DevLGram.api.types.updates.ChannelDifference",
    0x94d42ee7: "DevLGram.api.types.ChannelMessagesFilterEmpty",
    0xcd77d957: "DevLGram.api.types.ChannelMessagesFilter",
    0x15ebac1d: "DevLGram.api.types.ChannelParticipant",
    0xa3289a6d: "DevLGram.api.types.ChannelParticipantSelf",
    0xe3e2e1f9: "DevLGram.api.types.ChannelParticipantCreator",
    0x5daa6e23: "DevLGram.api.types.ChannelParticipantAdmin",
    0x1c0facaf: "DevLGram.api.types.ChannelParticipantBanned",
    0xde3f3c79: "DevLGram.api.types.ChannelParticipantsRecent",
    0xb4608969: "DevLGram.api.types.ChannelParticipantsAdmins",
    0xa3b54985: "DevLGram.api.types.ChannelParticipantsKicked",
    0xb0d1865b: "DevLGram.api.types.ChannelParticipantsBots",
    0x1427a5e1: "DevLGram.api.types.ChannelParticipantsBanned",
    0x0656ac4b: "DevLGram.api.types.ChannelParticipantsSearch",
    0xbb6ae88d: "DevLGram.api.types.ChannelParticipantsContacts",
    0xf56ee2a8: "DevLGram.api.types.channels.ChannelParticipants",
    0xf0173fe9: "DevLGram.api.types.channels.ChannelParticipantsNotModified",
    0xd0d9b163: "DevLGram.api.types.channels.ChannelParticipant",
    0x780a0310: "DevLGram.api.types.help.TermsOfService",
    0x162ecc1f: "DevLGram.api.types.FoundGif",
    0x9c750409: "DevLGram.api.types.FoundGifCached",
    0x450a1c0a: "DevLGram.api.types.messages.FoundGifs",
    0xe8025ca2: "DevLGram.api.types.messages.SavedGifsNotModified",
    0x2e0709a5: "DevLGram.api.types.messages.SavedGifs",
    0x3380c786: "DevLGram.api.types.InputBotInlineMessageMediaAuto",
    0x3dcd7a87: "DevLGram.api.types.InputBotInlineMessageText",
    0xc1b15d65: "DevLGram.api.types.InputBotInlineMessageMediaGeo",
    0x417bbf11: "DevLGram.api.types.InputBotInlineMessageMediaVenue",
    0xa6edbffd: "DevLGram.api.types.InputBotInlineMessageMediaContact",
    0x4b425864: "DevLGram.api.types.InputBotInlineMessageGame",
    0x88bf9319: "DevLGram.api.types.InputBotInlineResult",
    0xa8d864a7: "DevLGram.api.types.InputBotInlineResultPhoto",
    0xfff8fdc4: "DevLGram.api.types.InputBotInlineResultDocument",
    0x4fa417f2: "DevLGram.api.types.InputBotInlineResultGame",
    0x764cf810: "DevLGram.api.types.BotInlineMessageMediaAuto",
    0x8c7f65e2: "DevLGram.api.types.BotInlineMessageText",
    0xb722de65: "DevLGram.api.types.BotInlineMessageMediaGeo",
    0x8a86659c: "DevLGram.api.types.BotInlineMessageMediaVenue",
    0x18d1cdc2: "DevLGram.api.types.BotInlineMessageMediaContact",
    0x11965f3a: "DevLGram.api.types.BotInlineResult",
    0x17db940b: "DevLGram.api.types.BotInlineMediaResult",
    0x947ca848: "DevLGram.api.types.messages.BotResults",
    0x5dab1af4: "DevLGram.api.types.ExportedMessageLink",
    0xec338270: "DevLGram.api.types.MessageFwdHeader",
    0x72a3158c: "DevLGram.api.types.auth.CodeTypeSms",
    0x741cd3e3: "DevLGram.api.types.auth.CodeTypeCall",
    0x226ccefb: "DevLGram.api.types.auth.CodeTypeFlashCall",
    0x3dbb5986: "DevLGram.api.types.auth.SentCodeTypeApp",
    0xc000bba2: "DevLGram.api.types.auth.SentCodeTypeSms",
    0x5353e5a7: "DevLGram.api.types.auth.SentCodeTypeCall",
    0xab03c6d9: "DevLGram.api.types.auth.SentCodeTypeFlashCall",
    0x36585ea4: "DevLGram.api.types.messages.BotCallbackAnswer",
    0x26b5dde6: "DevLGram.api.types.messages.MessageEditData",
    0x890c3d89: "DevLGram.api.types.InputBotInlineMessageID",
    0x3c20629f: "DevLGram.api.types.InlineBotSwitchPM",
    0x3371c354: "DevLGram.api.types.messages.PeerDialogs",
    0xedcdc05b: "DevLGram.api.types.TopPeer",
    0xab661b5b: "DevLGram.api.types.TopPeerCategoryBotsPM",
    0x148677e2: "DevLGram.api.types.TopPeerCategoryBotsInline",
    0x0637b7ed: "DevLGram.api.types.TopPeerCategoryCorrespondents",
    0xbd17a14a: "DevLGram.api.types.TopPeerCategoryGroups",
    0x161d9628: "DevLGram.api.types.TopPeerCategoryChannels",
    0x1e76a78c: "DevLGram.api.types.TopPeerCategoryPhoneCalls",
    0xfb834291: "DevLGram.api.types.TopPeerCategoryPeers",
    0xde266ef5: "DevLGram.api.types.contacts.TopPeersNotModified",
    0x70b772a8: "DevLGram.api.types.contacts.TopPeers",
    0xb52c939d: "DevLGram.api.types.contacts.TopPeersDisabled",
    0x1b0c841a: "DevLGram.api.types.DraftMessageEmpty",
    0xfd8e711f: "DevLGram.api.types.DraftMessage",
    0x04ede3cf: "DevLGram.api.types.messages.FeaturedStickersNotModified",
    0xf89d88e5: "DevLGram.api.types.messages.FeaturedStickers",
    0x0b17f890: "DevLGram.api.types.messages.RecentStickersNotModified",
    0x22f3afb3: "DevLGram.api.types.messages.RecentStickers",
    0x4fcba9c8: "DevLGram.api.types.messages.ArchivedStickers",
    0x38641628: "DevLGram.api.types.messages.StickerSetInstallResultSuccess",
    0x35e410a8: "DevLGram.api.types.messages.StickerSetInstallResultArchive",
    0x6410a5d2: "DevLGram.api.types.StickerSetCovered",
    0x3407e51b: "DevLGram.api.types.StickerSetMultiCovered",
    0xaed6dbb2: "DevLGram.api.types.MaskCoords",
    0x4a992157: "DevLGram.api.types.InputStickeredMediaPhoto",
    0x0438865b: "DevLGram.api.types.InputStickeredMediaDocument",
    0xbdf9653b: "DevLGram.api.types.Game",
    0x032c3e77: "DevLGram.api.types.InputGameID",
    0xc331e80a: "DevLGram.api.types.InputGameShortName",
    0x58fffcd0: "DevLGram.api.types.HighScore",
    0x9a3bfd99: "DevLGram.api.types.messages.HighScores",
    0xdc3d824f: "DevLGram.api.types.TextEmpty",
    0x744694e0: "DevLGram.api.types.TextPlain",
    0x6724abc4: "DevLGram.api.types.TextBold",
    0xd912a59c: "DevLGram.api.types.TextItalic",
    0xc12622c4: "DevLGram.api.types.TextUnderline",
    0x9bf8bb95: "DevLGram.api.types.TextStrike",
    0x6c3f19b9: "DevLGram.api.types.TextFixed",
    0x3c2884c1: "DevLGram.api.types.TextUrl",
    0xde5a0dd6: "DevLGram.api.types.TextEmail",
    0x7e6260d7: "DevLGram.api.types.TextConcat",
    0xed6a8504: "DevLGram.api.types.TextSubscript",
    0xc7fb5e01: "DevLGram.api.types.TextSuperscript",
    0x034b8621: "DevLGram.api.types.TextMarked",
    0x1ccb966a: "DevLGram.api.types.TextPhone",
    0x081ccf4f: "DevLGram.api.types.TextImage",
    0x35553762: "DevLGram.api.types.TextAnchor",
    0x13567e8a: "DevLGram.api.types.PageBlockUnsupported",
    0x70abc3fd: "DevLGram.api.types.PageBlockTitle",
    0x8ffa9a1f: "DevLGram.api.types.PageBlockSubtitle",
    0xbaafe5e0: "DevLGram.api.types.PageBlockAuthorDate",
    0xbfd064ec: "DevLGram.api.types.PageBlockHeader",
    0xf12bb6e1: "DevLGram.api.types.PageBlockSubheader",
    0x467a0766: "DevLGram.api.types.PageBlockParagraph",
    0xc070d93e: "DevLGram.api.types.PageBlockPreformatted",
    0x48870999: "DevLGram.api.types.PageBlockFooter",
    0xdb20b188: "DevLGram.api.types.PageBlockDivider",
    0xce0d37b0: "DevLGram.api.types.PageBlockAnchor",
    0xe4e88011: "DevLGram.api.types.PageBlockList",
    0x263d7c26: "DevLGram.api.types.PageBlockBlockquote",
    0x4f4456d3: "DevLGram.api.types.PageBlockPullquote",
    0x1759c560: "DevLGram.api.types.PageBlockPhoto",
    0x7c8fe7b6: "DevLGram.api.types.PageBlockVideo",
    0x39f23300: "DevLGram.api.types.PageBlockCover",
    0xa8718dc5: "DevLGram.api.types.PageBlockEmbed",
    0xf259a80b: "DevLGram.api.types.PageBlockEmbedPost",
    0x65a0fa4d: "DevLGram.api.types.PageBlockCollage",
    0x031f9590: "DevLGram.api.types.PageBlockSlideshow",
    0xef1751b5: "DevLGram.api.types.PageBlockChannel",
    0x804361ea: "DevLGram.api.types.PageBlockAudio",
    0x1e148390: "DevLGram.api.types.PageBlockKicker",
    0xbf4dea82: "DevLGram.api.types.PageBlockTable",
    0x9a8ae1e1: "DevLGram.api.types.PageBlockOrderedList",
    0x76768bed: "DevLGram.api.types.PageBlockDetails",
    0x16115a96: "DevLGram.api.types.PageBlockRelatedArticles",
    0xa44f3ef6: "DevLGram.api.types.PageBlockMap",
    0x85e42301: "DevLGram.api.types.PhoneCallDiscardReasonMissed",
    0xe095c1a0: "DevLGram.api.types.PhoneCallDiscardReasonDisconnect",
    0x57adc690: "DevLGram.api.types.PhoneCallDiscardReasonHangup",
    0xfaf7e8c9: "DevLGram.api.types.PhoneCallDiscardReasonBusy",
    0x7d748d04: "DevLGram.api.types.DataJSON",
    0xcb296bf8: "DevLGram.api.types.LabeledPrice",
    0xc30aa358: "DevLGram.api.types.Invoice",
    0xea02c27e: "DevLGram.api.types.PaymentCharge",
    0x1e8caaeb: "DevLGram.api.types.PostAddress",
    0x909c3f94: "DevLGram.api.types.PaymentRequestedInfo",
    0xcdc27a1f: "DevLGram.api.types.PaymentSavedCredentialsCard",
    0x1c570ed1: "DevLGram.api.types.WebDocument",
    0xf9c8bcc6: "DevLGram.api.types.WebDocumentNoProxy",
    0x9bed434d: "DevLGram.api.types.InputWebDocument",
    0xc239d686: "DevLGram.api.types.InputWebFileLocation",
    0x9f2221c9: "DevLGram.api.types.InputWebFileGeoPointLocation",
    0x21e753bc: "DevLGram.api.types.upload.WebFile",
    0x3f56aea3: "DevLGram.api.types.payments.PaymentForm",
    0xd1451883: "DevLGram.api.types.payments.ValidatedRequestedInfo",
    0x4e5f810d: "DevLGram.api.types.payments.PaymentResult",
    0x6b56b921: "DevLGram.api.types.payments.PaymentVerficationNeeded",
    0x500911e1: "DevLGram.api.types.payments.PaymentReceipt",
    0xfb8fe43c: "DevLGram.api.types.payments.SavedInfo",
    0xc10eb2cf: "DevLGram.api.types.InputPaymentCredentialsSaved",
    0x3417d728: "DevLGram.api.types.InputPaymentCredentials",
    0x0aa1c39f: "DevLGram.api.types.InputPaymentCredentialsApplePay",
    0xca05d50e: "DevLGram.api.types.InputPaymentCredentialsAndroidPay",
    0xdb64fd34: "DevLGram.api.types.account.TmpPassword",
    0xb6213cdf: "DevLGram.api.types.ShippingOption",
    0xffa0a496: "DevLGram.api.types.InputStickerSetItem",
    0x1e36fded: "DevLGram.api.types.InputPhoneCall",
    0x5366c915: "DevLGram.api.types.PhoneCallEmpty",
    0x1b8f4ad1: "DevLGram.api.types.PhoneCallWaiting",
    0x83761ce4: "DevLGram.api.types.PhoneCallRequested",
    0x6d003d3f: "DevLGram.api.types.PhoneCallAccepted",
    0xe6f9ddf3: "DevLGram.api.types.PhoneCall",
    0x50ca4de1: "DevLGram.api.types.PhoneCallDiscarded",
    0x9d4c17c0: "DevLGram.api.types.PhoneConnection",
    0xa2bb35cb: "DevLGram.api.types.PhoneCallProtocol",
    0xec82e140: "DevLGram.api.types.phone.PhoneCall",
    0xeea8e46e: "DevLGram.api.types.upload.CdnFileReuploadNeeded",
    0xa99fca4f: "DevLGram.api.types.upload.CdnFile",
    0xc982eaba: "DevLGram.api.types.CdnPublicKey",
    0x5725e40a: "DevLGram.api.types.CdnConfig",
    0xcad181f6: "DevLGram.api.types.LangPackString",
    0x6c47ac9f: "DevLGram.api.types.LangPackStringPluralized",
    0x2979eeb2: "DevLGram.api.types.LangPackStringDeleted",
    0xf385c1f6: "DevLGram.api.types.LangPackDifference",
    0xeeca5ce3: "DevLGram.api.types.LangPackLanguage",
    0xe6dfb825: "DevLGram.api.types.ChannelAdminLogEventActionChangeTitle",
    0x55188a2e: "DevLGram.api.types.ChannelAdminLogEventActionChangeAbout",
    0x6a4afc38: "DevLGram.api.types.ChannelAdminLogEventActionChangeUsername",
    0xb82f55c3: "DevLGram.api.types.ChannelAdminLogEventActionChangePhoto",
    0x1b7907ae: "DevLGram.api.types.ChannelAdminLogEventActionToggleInvites",
    0x26ae0971: "DevLGram.api.types.ChannelAdminLogEventActionToggleSignatures",
    0xe9e82c18: "DevLGram.api.types.ChannelAdminLogEventActionUpdatePinned",
    0x709b2405: "DevLGram.api.types.ChannelAdminLogEventActionEditMessage",
    0x42e047bb: "DevLGram.api.types.ChannelAdminLogEventActionDeleteMessage",
    0x183040d3: "DevLGram.api.types.ChannelAdminLogEventActionParticipantJoin",
    0xf89777f2: "DevLGram.api.types.ChannelAdminLogEventActionParticipantLeave",
    0xe31c34d8: "DevLGram.api.types.ChannelAdminLogEventActionParticipantInvite",
    0xe6d83d7e: "DevLGram.api.types.ChannelAdminLogEventActionParticipantToggleBan",
    0xd5676710: "DevLGram.api.types.ChannelAdminLogEventActionParticipantToggleAdmin",
    0xb1c3caa7: "DevLGram.api.types.ChannelAdminLogEventActionChangeStickerSet",
    0x5f5c95f1: "DevLGram.api.types.ChannelAdminLogEventActionTogglePreHistoryHidden",
    0x2df5fc0a: "DevLGram.api.types.ChannelAdminLogEventActionDefaultBannedRights",
    0x8f079643: "DevLGram.api.types.ChannelAdminLogEventActionStopPoll",
    0x3b5a3e40: "DevLGram.api.types.ChannelAdminLogEvent",
    0xed8af74d: "DevLGram.api.types.channels.AdminLogResults",
    0xea107ae4: "DevLGram.api.types.ChannelAdminLogEventsFilter",
    0x5ce14175: "DevLGram.api.types.PopularContact",
    0x9e8fa6d3: "DevLGram.api.types.messages.FavedStickersNotModified",
    0xf37f2f16: "DevLGram.api.types.messages.FavedStickers",
    0x46e1d13d: "DevLGram.api.types.RecentMeUrlUnknown",
    0x8dbc3336: "DevLGram.api.types.RecentMeUrlUser",
    0xa01b22f9: "DevLGram.api.types.RecentMeUrlChat",
    0xeb49081d: "DevLGram.api.types.RecentMeUrlChatInvite",
    0xbc0a57dc: "DevLGram.api.types.RecentMeUrlStickerSet",
    0x0e0310d7: "DevLGram.api.types.help.RecentMeUrls",
    0x1cc6e91f: "DevLGram.api.types.InputSingleMedia",
    0xcac943f2: "DevLGram.api.types.WebAuthorization",
    0xed56c9fc: "DevLGram.api.types.account.WebAuthorizations",
    0xa676a322: "DevLGram.api.types.InputMessageID",
    0xbad88395: "DevLGram.api.types.InputMessageReplyTo",
    0x86872538: "DevLGram.api.types.InputMessagePinned",
    0xfcaafeb7: "DevLGram.api.types.InputDialogPeer",
    0xe56dbf05: "DevLGram.api.types.DialogPeer",
    0x0d54b65d: "DevLGram.api.types.messages.FoundStickerSetsNotModified",
    0x5108d648: "DevLGram.api.types.messages.FoundStickerSets",
    0x6242c773: "DevLGram.api.types.FileHash",
    0x75588b3f: "DevLGram.api.types.InputClientProxy",
    0xe09e1fb8: "DevLGram.api.types.help.ProxyDataEmpty",
    0x2bf7ee23: "DevLGram.api.types.help.ProxyDataPromo",
    0xe3309f7f: "DevLGram.api.types.help.TermsOfServiceUpdateEmpty",
    0x28ecf961: "DevLGram.api.types.help.TermsOfServiceUpdate",
    0x3334b0f0: "DevLGram.api.types.InputSecureFileUploaded",
    0x5367e5be: "DevLGram.api.types.InputSecureFile",
    0x64199744: "DevLGram.api.types.SecureFileEmpty",
    0xe0277a62: "DevLGram.api.types.SecureFile",
    0x8aeabec3: "DevLGram.api.types.SecureData",
    0x7d6099dd: "DevLGram.api.types.SecurePlainPhone",
    0x21ec5a5f: "DevLGram.api.types.SecurePlainEmail",
    0x9d2a81e3: "DevLGram.api.types.SecureValueTypePersonalDetails",
    0x3dac6a00: "DevLGram.api.types.SecureValueTypePassport",
    0x06e425c4: "DevLGram.api.types.SecureValueTypeDriverLicense",
    0xa0d0744b: "DevLGram.api.types.SecureValueTypeIdentityCard",
    0x99a48f23: "DevLGram.api.types.SecureValueTypeInternalPassport",
    0xcbe31e26: "DevLGram.api.types.SecureValueTypeAddress",
    0xfc36954e: "DevLGram.api.types.SecureValueTypeUtilityBill",
    0x89137c0d: "DevLGram.api.types.SecureValueTypeBankStatement",
    0x8b883488: "DevLGram.api.types.SecureValueTypeRentalAgreement",
    0x99e3806a: "DevLGram.api.types.SecureValueTypePassportRegistration",
    0xea02ec33: "DevLGram.api.types.SecureValueTypeTemporaryRegistration",
    0xb320aadb: "DevLGram.api.types.SecureValueTypePhone",
    0x8e3ca7ee: "DevLGram.api.types.SecureValueTypeEmail",
    0x187fa0ca: "DevLGram.api.types.SecureValue",
    0xdb21d0a7: "DevLGram.api.types.InputSecureValue",
    0xed1ecdb0: "DevLGram.api.types.SecureValueHash",
    0xe8a40bd9: "DevLGram.api.types.SecureValueErrorData",
    0x00be3dfa: "DevLGram.api.types.SecureValueErrorFrontSide",
    0x868a2aa5: "DevLGram.api.types.SecureValueErrorReverseSide",
    0xe537ced6: "DevLGram.api.types.SecureValueErrorSelfie",
    0x7a700873: "DevLGram.api.types.SecureValueErrorFile",
    0x666220e9: "DevLGram.api.types.SecureValueErrorFiles",
    0x869d758f: "DevLGram.api.types.SecureValueError",
    0xa1144770: "DevLGram.api.types.SecureValueErrorTranslationFile",
    0x34636dd8: "DevLGram.api.types.SecureValueErrorTranslationFiles",
    0x33f0ea47: "DevLGram.api.types.SecureCredentialsEncrypted",
    0xad2e1cd8: "DevLGram.api.types.account.AuthorizationForm",
    0x811f854f: "DevLGram.api.types.account.SentEmailCode",
    0x66afa166: "DevLGram.api.types.help.DeepLinkInfoEmpty",
    0x6a4ee832: "DevLGram.api.types.help.DeepLinkInfo",
    0x1142bd56: "DevLGram.api.types.SavedPhoneContact",
    0x4dba4501: "DevLGram.api.types.account.Takeout",
    0xd45ab096: "DevLGram.api.types.PasswordKdfAlgoUnknown",
    0x3a912d4a: "DevLGram.api.types.PasswordKdfAlgoSHA256SHA256PBKDF2HMACSHA512iter100000SHA256ModPow",
    0x004a8537: "DevLGram.api.types.SecurePasswordKdfAlgoUnknown",
    0xbbf2dda0: "DevLGram.api.types.SecurePasswordKdfAlgoPBKDF2HMACSHA512iter100000",
    0x86471d92: "DevLGram.api.types.SecurePasswordKdfAlgoSHA512",
    0x1527bcac: "DevLGram.api.types.SecureSecretSettings",
    0x9880f658: "DevLGram.api.types.InputCheckPasswordEmpty",
    0xd27ff082: "DevLGram.api.types.InputCheckPasswordSRP",
    0x829d99da: "DevLGram.api.types.SecureRequiredType",
    0x027477b4: "DevLGram.api.types.SecureRequiredTypeOneOf",
    0xbfb9f457: "DevLGram.api.types.help.PassportConfigNotModified",
    0xa098d6af: "DevLGram.api.types.help.PassportConfig",
    0x1d1b1245: "DevLGram.api.types.InputAppEvent",
    0xc0de1bd9: "DevLGram.api.types.JsonObjectValue",
    0x3f6d7b68: "DevLGram.api.types.JsonNull",
    0xc7345e6a: "DevLGram.api.types.JsonBool",
    0x2be0dfa4: "DevLGram.api.types.JsonNumber",
    0xb71e767a: "DevLGram.api.types.JsonString",
    0xf7444763: "DevLGram.api.types.JsonArray",
    0x99c1d49d: "DevLGram.api.types.JsonObject",
    0x34566b6a: "DevLGram.api.types.PageTableCell",
    0xe0c0c5e5: "DevLGram.api.types.PageTableRow",
    0x6f747657: "DevLGram.api.types.PageCaption",
    0xb92fb6cd: "DevLGram.api.types.PageListItemText",
    0x25e073fc: "DevLGram.api.types.PageListItemBlocks",
    0x5e068047: "DevLGram.api.types.PageListOrderedItemText",
    0x98dd8936: "DevLGram.api.types.PageListOrderedItemBlocks",
    0xb390dc08: "DevLGram.api.types.PageRelatedArticle",
    0xae891bec: "DevLGram.api.types.Page",
    0x8c05f1c9: "DevLGram.api.types.help.SupportName",
    0xf3ae2eed: "DevLGram.api.types.help.UserInfoEmpty",
    0x01eb3758: "DevLGram.api.types.help.UserInfo",
    0x6ca9c2e9: "DevLGram.api.types.PollAnswer",
    0xd5529d06: "DevLGram.api.types.Poll",
    0x3b6ddad2: "DevLGram.api.types.PollAnswerVoters",
    0x5755785a: "DevLGram.api.types.PollResults",
    0xf041e250: "DevLGram.api.types.ChatOnlines",
    0x47a971e0: "DevLGram.api.types.StatsURL",
    0x5fb224d5: "DevLGram.api.types.ChatAdminRights",
    0x9f120418: "DevLGram.api.types.ChatBannedRights",
    0xe630b979: "DevLGram.api.types.InputWallPaper",
    0x72091c80: "DevLGram.api.types.InputWallPaperSlug",
    0x1c199183: "DevLGram.api.types.account.WallPapersNotModified",
    0x702b65a9: "DevLGram.api.types.account.WallPapers",
    0x302f59f3: "DevLGram.api.types.CodeSettings",
    0xa12f40b8: "DevLGram.api.types.WallPaperSettings",
    0xd246fd47: "DevLGram.api.types.AutoDownloadSettings",
    0x63cacf26: "DevLGram.api.types.account.AutoDownloadSettings",
    0xd5b3b9f9: "DevLGram.api.types.EmojiKeyword",
    0x236df622: "DevLGram.api.types.EmojiKeywordDeleted",
    0x5cc761bd: "DevLGram.api.types.EmojiKeywordsDifference",
    0xa575739d: "DevLGram.api.types.EmojiURL",
    0xcb9f372d: "DevLGram.api.functions.InvokeAfterMsg",
    0x3dc4b4f0: "DevLGram.api.functions.InvokeAfterMsgs",
    0x785188b8: "DevLGram.api.functions.InitConnection",
    0xda9b0d0d: "DevLGram.api.functions.InvokeWithLayer",
    0xbf9459b7: "DevLGram.api.functions.InvokeWithoutUpdates",
    0x365275f2: "DevLGram.api.functions.InvokeWithMessagesRange",
    0xaca9fd2e: "DevLGram.api.functions.InvokeWithTakeout",
    0xa677244f: "DevLGram.api.functions.auth.SendCode",
    0x1b067634: "DevLGram.api.functions.auth.SignUp",
    0xbcd51581: "DevLGram.api.functions.auth.SignIn",
    0x5717da40: "DevLGram.api.functions.auth.LogOut",
    0x9fab0d1a: "DevLGram.api.functions.auth.ResetAuthorizations",
    0xe5bfffcd: "DevLGram.api.functions.auth.ExportAuthorization",
    0xe3ef9613: "DevLGram.api.functions.auth.ImportAuthorization",
    0xcdd42a05: "DevLGram.api.functions.auth.BindTempAuthKey",
    0x67a3ff2c: "DevLGram.api.functions.auth.ImportBotAuthorization",
    0xd18b4d16: "DevLGram.api.functions.auth.CheckPassword",
    0xd897bc66: "DevLGram.api.functions.auth.RequestPasswordRecovery",
    0x4ea56e92: "DevLGram.api.functions.auth.RecoverPassword",
    0x3ef1a9bf: "DevLGram.api.functions.auth.ResendCode",
    0x1f040578: "DevLGram.api.functions.auth.CancelCode",
    0x8e48a188: "DevLGram.api.functions.auth.DropTempAuthKeys",
    0x5cbea590: "DevLGram.api.functions.account.RegisterDevice",
    0x3076c4bf: "DevLGram.api.functions.account.UnregisterDevice",
    0x84be5b93: "DevLGram.api.functions.account.UpdateNotifySettings",
    0x12b3ad31: "DevLGram.api.functions.account.GetNotifySettings",
    0xdb7e1747: "DevLGram.api.functions.account.ResetNotifySettings",
    0x78515775: "DevLGram.api.functions.account.UpdateProfile",
    0x6628562c: "DevLGram.api.functions.account.UpdateStatus",
    0xaabb1763: "DevLGram.api.functions.account.GetWallPapers",
    0xae189d5f: "DevLGram.api.functions.account.ReportPeer",
    0x2714d86c: "DevLGram.api.functions.account.CheckUsername",
    0x3e0bdd7c: "DevLGram.api.functions.account.UpdateUsername",
    0xdadbc950: "DevLGram.api.functions.account.GetPrivacy",
    0xc9f81ce8: "DevLGram.api.functions.account.SetPrivacy",
    0x418d4e0b: "DevLGram.api.functions.account.DeleteAccount",
    0x08fc711d: "DevLGram.api.functions.account.GetAccountTTL",
    0x2442485e: "DevLGram.api.functions.account.SetAccountTTL",
    0x82574ae5: "DevLGram.api.functions.account.SendChangePhoneCode",
    0x70c32edb: "DevLGram.api.functions.account.ChangePhone",
    0x38df3532: "DevLGram.api.functions.account.UpdateDeviceLocked",
    0xe320c158: "DevLGram.api.functions.account.GetAuthorizations",
    0xdf77f3bc: "DevLGram.api.functions.account.ResetAuthorization",
    0x548a30f5: "DevLGram.api.functions.account.GetPassword",
    0x9cd4eaf9: "DevLGram.api.functions.account.GetPasswordSettings",
    0xa59b102f: "DevLGram.api.functions.account.UpdatePasswordSettings",
    0x1b3faa88: "DevLGram.api.functions.account.SendConfirmPhoneCode",
    0x5f2178c3: "DevLGram.api.functions.account.ConfirmPhone",
    0x449e0b51: "DevLGram.api.functions.account.GetTmpPassword",
    0x182e6d6f: "DevLGram.api.functions.account.GetWebAuthorizations",
    0x2d01b9ef: "DevLGram.api.functions.account.ResetWebAuthorization",
    0x682d2594: "DevLGram.api.functions.account.ResetWebAuthorizations",
    0xb288bc7d: "DevLGram.api.functions.account.GetAllSecureValues",
    0x73665bc2: "DevLGram.api.functions.account.GetSecureValue",
    0x899fe31d: "DevLGram.api.functions.account.SaveSecureValue",
    0xb880bc4b: "DevLGram.api.functions.account.DeleteSecureValue",
    0xb86ba8e1: "DevLGram.api.functions.account.GetAuthorizationForm",
    0xe7027c94: "DevLGram.api.functions.account.AcceptAuthorization",
    0xa5a356f9: "DevLGram.api.functions.account.SendVerifyPhoneCode",
    0x4dd3a7f6: "DevLGram.api.functions.account.VerifyPhone",
    0x7011509f: "DevLGram.api.functions.account.SendVerifyEmailCode",
    0xecba39db: "DevLGram.api.functions.account.VerifyEmail",
    0xf05b4804: "DevLGram.api.functions.account.InitTakeoutSession",
    0x1d2652ee: "DevLGram.api.functions.account.FinishTakeoutSession",
    0x8fdf1920: "DevLGram.api.functions.account.ConfirmPasswordEmail",
    0x7a7f2a15: "DevLGram.api.functions.account.ResendPasswordEmail",
    0xc1cbd5b6: "DevLGram.api.functions.account.CancelPasswordEmail",
    0x9f07c728: "DevLGram.api.functions.account.GetContactSignUpNotification",
    0xcff43f61: "DevLGram.api.functions.account.SetContactSignUpNotification",
    0x53577479: "DevLGram.api.functions.account.GetNotifyExceptions",
    0xfc8ddbea: "DevLGram.api.functions.account.GetWallPaper",
    0xdd853661: "DevLGram.api.functions.account.UploadWallPaper",
    0x6c5a5b37: "DevLGram.api.functions.account.SaveWallPaper",
    0xfeed5769: "DevLGram.api.functions.account.InstallWallPaper",
    0xbb3b9804: "DevLGram.api.functions.account.ResetWallPapers",
    0x56da0b3f: "DevLGram.api.functions.account.GetAutoDownloadSettings",
    0x76f36233: "DevLGram.api.functions.account.SaveAutoDownloadSettings",
    0x0d91a548: "DevLGram.api.functions.users.GetUsers",
    0xca30a5b1: "DevLGram.api.functions.users.GetFullUser",
    0x90c894b5: "DevLGram.api.functions.users.SetSecureValueErrors",
    0x2caa4a42: "DevLGram.api.functions.contacts.GetContactIDs",
    0xc4a353ee: "DevLGram.api.functions.contacts.GetStatuses",
    0xc023849f: "DevLGram.api.functions.contacts.GetContacts",
    0x2c800be5: "DevLGram.api.functions.contacts.ImportContacts",
    0x8e953744: "DevLGram.api.functions.contacts.DeleteContact",
    0x59ab389e: "DevLGram.api.functions.contacts.DeleteContacts",
    0x1013fd9e: "DevLGram.api.functions.contacts.DeleteByPhones",
    0x332b49fc: "DevLGram.api.functions.contacts.Block",
    0xe54100bd: "DevLGram.api.functions.contacts.Unblock",
    0xf57c350f: "DevLGram.api.functions.contacts.GetBlocked",
    0x11f812d8: "DevLGram.api.functions.contacts.Search",
    0xf93ccba3: "DevLGram.api.functions.contacts.ResolveUsername",
    0xd4982db5: "DevLGram.api.functions.contacts.GetTopPeers",
    0x1ae373ac: "DevLGram.api.functions.contacts.ResetTopPeerRating",
    0x879537f1: "DevLGram.api.functions.contacts.ResetSaved",
    0x82f1e39f: "DevLGram.api.functions.contacts.GetSaved",
    0x8514bdda: "DevLGram.api.functions.contacts.ToggleTopPeers",
    0x63c66506: "DevLGram.api.functions.messages.GetMessages",
    0xb098aee6: "DevLGram.api.functions.messages.GetDialogs",
    0xdcbb8260: "DevLGram.api.functions.messages.GetHistory",
    0x8614ef68: "DevLGram.api.functions.messages.Search",
    0x0e306d3a: "DevLGram.api.functions.messages.ReadHistory",
    0x1c015b09: "DevLGram.api.functions.messages.DeleteHistory",
    0xe58e95d2: "DevLGram.api.functions.messages.DeleteMessages",
    0x05a954c0: "DevLGram.api.functions.messages.ReceivedMessages",
    0xa3825e50: "DevLGram.api.functions.messages.SetTyping",
    0xfa88427a: "DevLGram.api.functions.messages.SendMessage",
    0xb8d1262b: "DevLGram.api.functions.messages.SendMedia",
    0x708e0195: "DevLGram.api.functions.messages.ForwardMessages",
    0xcf1592db: "DevLGram.api.functions.messages.ReportSpam",
    0xa8f1709b: "DevLGram.api.functions.messages.HideReportSpam",
    0x3672e09c: "DevLGram.api.functions.messages.GetPeerSettings",
    0xbd82b658: "DevLGram.api.functions.messages.Report",
    0x3c6aa187: "DevLGram.api.functions.messages.GetChats",
    0x3b831c66: "DevLGram.api.functions.messages.GetFullChat",
    0xdc452855: "DevLGram.api.functions.messages.EditChatTitle",
    0xca4c79d8: "DevLGram.api.functions.messages.EditChatPhoto",
    0xf9a0aa09: "DevLGram.api.functions.messages.AddChatUser",
    0xe0611f16: "DevLGram.api.functions.messages.DeleteChatUser",
    0x09cb126e: "DevLGram.api.functions.messages.CreateChat",
    0x26cf8950: "DevLGram.api.functions.messages.GetDhConfig",
    0xf64daf43: "DevLGram.api.functions.messages.RequestEncryption",
    0x3dbc0415: "DevLGram.api.functions.messages.AcceptEncryption",
    0xedd923c5: "DevLGram.api.functions.messages.DiscardEncryption",
    0x791451ed: "DevLGram.api.functions.messages.SetEncryptedTyping",
    0x7f4b690a: "DevLGram.api.functions.messages.ReadEncryptedHistory",
    0xa9776773: "DevLGram.api.functions.messages.SendEncrypted",
    0x9a901b66: "DevLGram.api.functions.messages.SendEncryptedFile",
    0x32d439a4: "DevLGram.api.functions.messages.SendEncryptedService",
    0x55a5bb66: "DevLGram.api.functions.messages.ReceivedQueue",
    0x4b0c8c0f: "DevLGram.api.functions.messages.ReportEncryptedSpam",
    0x36a73f77: "DevLGram.api.functions.messages.ReadMessageContents",
    0x043d4f2c: "DevLGram.api.functions.messages.GetStickers",
    0x1c9618b1: "DevLGram.api.functions.messages.GetAllStickers",
    0x8b68b0cc: "DevLGram.api.functions.messages.GetWebPagePreview",
    0x0df7534c: "DevLGram.api.functions.messages.ExportChatInvite",
    0x3eadb1bb: "DevLGram.api.functions.messages.CheckChatInvite",
    0x6c50051c: "DevLGram.api.functions.messages.ImportChatInvite",
    0x2619a90e: "DevLGram.api.functions.messages.GetStickerSet",
    0xc78fe460: "DevLGram.api.functions.messages.InstallStickerSet",
    0xf96e55de: "DevLGram.api.functions.messages.UninstallStickerSet",
    0xe6df7378: "DevLGram.api.functions.messages.StartBot",
    0xc4c8a55d: "DevLGram.api.functions.messages.GetMessagesViews",
    0xa9e69f2e: "DevLGram.api.functions.messages.EditChatAdmin",
    0x15a3b8e3: "DevLGram.api.functions.messages.MigrateChat",
    0x9e3cacb0: "DevLGram.api.functions.messages.SearchGlobal",
    0x78337739: "DevLGram.api.functions.messages.ReorderStickerSets",
    0x338e2464: "DevLGram.api.functions.messages.GetDocumentByHash",
    0xbf9a776b: "DevLGram.api.functions.messages.SearchGifs",
    0x83bf3d52: "DevLGram.api.functions.messages.GetSavedGifs",
    0x327a30cb: "DevLGram.api.functions.messages.SaveGif",
    0x514e999d: "DevLGram.api.functions.messages.GetInlineBotResults",
    0xeb5ea206: "DevLGram.api.functions.messages.SetInlineBotResults",
    0xb16e06fe: "DevLGram.api.functions.messages.SendInlineBotResult",
    0xfda68d36: "DevLGram.api.functions.messages.GetMessageEditData",
    0xd116f31e: "DevLGram.api.functions.messages.EditMessage",
    0x83557dba: "DevLGram.api.functions.messages.EditInlineBotMessage",
    0x810a9fec: "DevLGram.api.functions.messages.GetBotCallbackAnswer",
    0xd58f130a: "DevLGram.api.functions.messages.SetBotCallbackAnswer",
    0xe470bcfd: "DevLGram.api.functions.messages.GetPeerDialogs",
    0xbc39e14b: "DevLGram.api.functions.messages.SaveDraft",
    0x6a3f8d65: "DevLGram.api.functions.messages.GetAllDrafts",
    0x2dacca4f: "DevLGram.api.functions.messages.GetFeaturedStickers",
    0x5b118126: "DevLGram.api.functions.messages.ReadFeaturedStickers",
    0x5ea192c9: "DevLGram.api.functions.messages.GetRecentStickers",
    0x392718f8: "DevLGram.api.functions.messages.SaveRecentSticker",
    0x8999602d: "DevLGram.api.functions.messages.ClearRecentStickers",
    0x57f17692: "DevLGram.api.functions.messages.GetArchivedStickers",
    0x65b8c79f: "DevLGram.api.functions.messages.GetMaskStickers",
    0xcc5b67cc: "DevLGram.api.functions.messages.GetAttachedStickers",
    0x8ef8ecc0: "DevLGram.api.functions.messages.SetGameScore",
    0x15ad9f64: "DevLGram.api.functions.messages.SetInlineGameScore",
    0xe822649d: "DevLGram.api.functions.messages.GetGameHighScores",
    0x0f635e1b: "DevLGram.api.functions.messages.GetInlineGameHighScores",
    0x0d0a48c4: "DevLGram.api.functions.messages.GetCommonChats",
    0xeba80ff0: "DevLGram.api.functions.messages.GetAllChats",
    0x32ca8f91: "DevLGram.api.functions.messages.GetWebPage",
    0xa731e257: "DevLGram.api.functions.messages.ToggleDialogPin",
    0x5b51d63f: "DevLGram.api.functions.messages.ReorderPinnedDialogs",
    0xe254d64e: "DevLGram.api.functions.messages.GetPinnedDialogs",
    0xe5f672fa: "DevLGram.api.functions.messages.SetBotShippingResults",
    0x09c2dd95: "DevLGram.api.functions.messages.SetBotPrecheckoutResults",
    0x519bc2b1: "DevLGram.api.functions.messages.UploadMedia",
    0xc97df020: "DevLGram.api.functions.messages.SendScreenshotNotification",
    0x21ce0b0e: "DevLGram.api.functions.messages.GetFavedStickers",
    0xb9ffc55b: "DevLGram.api.functions.messages.FaveSticker",
    0x46578472: "DevLGram.api.functions.messages.GetUnreadMentions",
    0x0f0189d3: "DevLGram.api.functions.messages.ReadMentions",
    0xbbc45b09: "DevLGram.api.functions.messages.GetRecentLocations",
    0x2095512f: "DevLGram.api.functions.messages.SendMultiMedia",
    0x5057c497: "DevLGram.api.functions.messages.UploadEncryptedFile",
    0xc2b7d08b: "DevLGram.api.functions.messages.SearchStickerSets",
    0x1cff7e08: "DevLGram.api.functions.messages.GetSplitRanges",
    0xc286d98f: "DevLGram.api.functions.messages.MarkDialogUnread",
    0x22e24e22: "DevLGram.api.functions.messages.GetDialogUnreadMarks",
    0x7e58ee9c: "DevLGram.api.functions.messages.ClearAllDrafts",
    0xd2aaf7ec: "DevLGram.api.functions.messages.UpdatePinnedMessage",
    0x10ea6184: "DevLGram.api.functions.messages.SendVote",
    0x73bb643b: "DevLGram.api.functions.messages.GetPollResults",
    0x6e2be050: "DevLGram.api.functions.messages.GetOnlines",
    0x812c2ae6: "DevLGram.api.functions.messages.GetStatsURL",
    0xdef60797: "DevLGram.api.functions.messages.EditChatAbout",
    0xa5866b41: "DevLGram.api.functions.messages.EditChatDefaultBannedRights",
    0x35a0e062: "DevLGram.api.functions.messages.GetEmojiKeywords",
    0x1508b6af: "DevLGram.api.functions.messages.GetEmojiKeywordsDifference",
    0xd5b10c26: "DevLGram.api.functions.messages.GetEmojiURL",
    0xedd4882a: "DevLGram.api.functions.updates.GetState",
    0x25939651: "DevLGram.api.functions.updates.GetDifference",
    0x03173d78: "DevLGram.api.functions.updates.GetChannelDifference",
    0xf0bb5152: "DevLGram.api.functions.photos.UpdateProfilePhoto",
    0x4f32c098: "DevLGram.api.functions.photos.UploadProfilePhoto",
    0x87cf7f2f: "DevLGram.api.functions.photos.DeletePhotos",
    0x91cd32a8: "DevLGram.api.functions.photos.GetUserPhotos",
    0xb304a621: "DevLGram.api.functions.upload.SaveFilePart",
    0xe3a6cfb5: "DevLGram.api.functions.upload.GetFile",
    0xde7b673d: "DevLGram.api.functions.upload.SaveBigFilePart",
    0x24e6818d: "DevLGram.api.functions.upload.GetWebFile",
    0x2000bcc3: "DevLGram.api.functions.upload.GetCdnFile",
    0x9b2754a8: "DevLGram.api.functions.upload.ReuploadCdnFile",
    0x4da54231: "DevLGram.api.functions.upload.GetCdnFileHashes",
    0xc7025931: "DevLGram.api.functions.upload.GetFileHashes",
    0xc4f9186b: "DevLGram.api.functions.help.GetConfig",
    0x1fb33026: "DevLGram.api.functions.help.GetNearestDc",
    0x522d5a7d: "DevLGram.api.functions.help.GetAppUpdate",
    0x4d392343: "DevLGram.api.functions.help.GetInviteText",
    0x9cdf08cd: "DevLGram.api.functions.help.GetSupport",
    0x9010ef6f: "DevLGram.api.functions.help.GetAppChangelog",
    0xec22cfcd: "DevLGram.api.functions.help.SetBotUpdatesStatus",
    0x52029342: "DevLGram.api.functions.help.GetCdnConfig",
    0x3dc0f114: "DevLGram.api.functions.help.GetRecentMeUrls",
    0x3d7758e1: "DevLGram.api.functions.help.GetProxyData",
    0x2ca51fd1: "DevLGram.api.functions.help.GetTermsOfServiceUpdate",
    0xee72f79a: "DevLGram.api.functions.help.AcceptTermsOfService",
    0x3fedc75f: "DevLGram.api.functions.help.GetDeepLinkInfo",
    0x98914110: "DevLGram.api.functions.help.GetAppConfig",
    0x6f02f748: "DevLGram.api.functions.help.SaveAppLog",
    0xc661ad08: "DevLGram.api.functions.help.GetPassportConfig",
    0xd360e72c: "DevLGram.api.functions.help.GetSupportName",
    0x038a08d3: "DevLGram.api.functions.help.GetUserInfo",
    0x66b91b70: "DevLGram.api.functions.help.EditUserInfo",
    0xcc104937: "DevLGram.api.functions.channels.ReadHistory",
    0x84c1fd4e: "DevLGram.api.functions.channels.DeleteMessages",
    0xd10dd71b: "DevLGram.api.functions.channels.DeleteUserHistory",
    0xfe087810: "DevLGram.api.functions.channels.ReportSpam",
    0xad8c9a23: "DevLGram.api.functions.channels.GetMessages",
    0x123e05e9: "DevLGram.api.functions.channels.GetParticipants",
    0x546dd7a6: "DevLGram.api.functions.channels.GetParticipant",
    0x0a7f6bbb: "DevLGram.api.functions.channels.GetChannels",
    0x08736a09: "DevLGram.api.functions.channels.GetFullChannel",
    0xf4893d7f: "DevLGram.api.functions.channels.CreateChannel",
    0x70f893ba: "DevLGram.api.functions.channels.EditAdmin",
    0x566decd0: "DevLGram.api.functions.channels.EditTitle",
    0xf12e57c9: "DevLGram.api.functions.channels.EditPhoto",
    0x10e6bd2c: "DevLGram.api.functions.channels.CheckUsername",
    0x3514b3de: "DevLGram.api.functions.channels.UpdateUsername",
    0x24b524c5: "DevLGram.api.functions.channels.JoinChannel",
    0xf836aa95: "DevLGram.api.functions.channels.LeaveChannel",
    0x199f3a6c: "DevLGram.api.functions.channels.InviteToChannel",
    0xc0111fe3: "DevLGram.api.functions.channels.DeleteChannel",
    0xceb77163: "DevLGram.api.functions.channels.ExportMessageLink",
    0x1f69b606: "DevLGram.api.functions.channels.ToggleSignatures",
    0x8d8d82d7: "DevLGram.api.functions.channels.GetAdminedPublicChannels",
    0x72796912: "DevLGram.api.functions.channels.EditBanned",
    0x33ddf480: "DevLGram.api.functions.channels.GetAdminLog",
    0xea8ca4f9: "DevLGram.api.functions.channels.SetStickers",
    0xeab5dc38: "DevLGram.api.functions.channels.ReadMessageContents",
    0xaf369d42: "DevLGram.api.functions.channels.DeleteHistory",
    0xeabbb94c: "DevLGram.api.functions.channels.TogglePreHistoryHidden",
    0x8341ecc0: "DevLGram.api.functions.channels.GetLeftChannels",
    0xaa2769ed: "DevLGram.api.functions.bots.SendCustomRequest",
    0xe6213f4d: "DevLGram.api.functions.bots.AnswerWebhookJSONQuery",
    0x99f09745: "DevLGram.api.functions.payments.GetPaymentForm",
    0xa092a980: "DevLGram.api.functions.payments.GetPaymentReceipt",
    0x770a8e74: "DevLGram.api.functions.payments.ValidateRequestedInfo",
    0x2b8879b3: "DevLGram.api.functions.payments.SendPaymentForm",
    0x227d824b: "DevLGram.api.functions.payments.GetSavedInfo",
    0xd83d70c1: "DevLGram.api.functions.payments.ClearSavedInfo",
    0x9bd86e6a: "DevLGram.api.functions.stickers.CreateStickerSet",
    0xf7760f51: "DevLGram.api.functions.stickers.RemoveStickerFromSet",
    0xffb6d4ca: "DevLGram.api.functions.stickers.ChangeStickerPosition",
    0x8653febe: "DevLGram.api.functions.stickers.AddStickerToSet",
    0x55451fa9: "DevLGram.api.functions.phone.GetCallConfig",
    0x5b95b3d4: "DevLGram.api.functions.phone.RequestCall",
    0x3bd2b4a0: "DevLGram.api.functions.phone.AcceptCall",
    0x2efe1722: "DevLGram.api.functions.phone.ConfirmCall",
    0x17d54f61: "DevLGram.api.functions.phone.ReceivedCall",
    0x78d413a6: "DevLGram.api.functions.phone.DiscardCall",
    0x59ead627: "DevLGram.api.functions.phone.SetCallRating",
    0x277add7e: "DevLGram.api.functions.phone.SaveCallDebug",
    0xf2f2330a: "DevLGram.api.functions.langpack.GetLangPack",
    0xefea3803: "DevLGram.api.functions.langpack.GetStrings",
    0xcd984aa5: "DevLGram.api.functions.langpack.GetDifference",
    0x42c6978f: "DevLGram.api.functions.langpack.GetLanguages",
    0x6a596502: "DevLGram.api.functions.langpack.GetLanguage",
    0xbc799737: "DevLGram.api.core.BoolFalse",
    0x997275b5: "DevLGram.api.core.BoolTrue",
    0x56730bcc: "DevLGram.api.core.Null",
    0x1cb5c415: "DevLGram.api.core.Vector",
    0x73f1f8dc: "DevLGram.api.core.MsgContainer",
    0xae500895: "DevLGram.api.core.FutureSalts",
    0x0949d9dc: "DevLGram.api.core.FutureSalt",
    0x3072cfa1: "DevLGram.api.core.GzipPacked",
    0x5bb8e511: "DevLGram.api.core.Message",
}
